
{: test that using the nil pointer causes a fatal error }

{$d+}
program d004( output );
{$d-}

var
   p1 : ^real;
   p2 : ^integer;
begin
   new(p1);
   p1^ := 100.6;
   new(p2);
   p2 := nil;
   writeln( 'p1^ is ', p1^:1:1, ', p2^ is ', p2^:1 );
   dispose(p2);
   dispose(p1);
end. { d004 }

